pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2011-2012 Sergey Astanin 2012-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.FB2

Description

Conversion of `Pandoc` documents to FB2 (FictionBook2) format.

FictionBook is an XML-based e-book format. For more information see: http://www.fictionbook.org/index.php/Eng:XML_Schema_Fictionbook_2.1

Synopsis

- writeFB2 :: PandocMonad m => WriterOptions -> Pandoc -> m Text

# Documentation

writeFB2 Source #

Arguments

:: PandocMonad m |
=> WriterOptions | conversion options
-> Pandoc | document to convert
-> m Text | FictionBook2 document (not encoded yet)

Produce an FB2 document from a `Pandoc` document.